%define api		1.0
%define clutterapi	1.0
%define major		0
%define libname		%mklibname %{name} %{api} %{major}
%define libnamedevel	%mklibname -d %{name} %{api}

%define gi_major	1.0
%define girname		%mklibname %{name}-gir %{gi_major}

%define url_ver	%(echo %{version}|cut -d. -f1,2)

Summary:	GTK Support for Clutter
Name:		clutter-gtk
Version:	1.4.2
Release:	%mkrel 2
Source0:	http://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
License:	LGPLv2+
Group:		Graphics/Utilities
Url:		http://clutter-project.org/
BuildRequires: pkgconfig(clutter-1.0) >= 1.9.1
BuildRequires: pkgconfig(gtk+-3.0) >= 3.2.0
BuildRequires: pkgconfig(gl)
BuildRequires: gobject-introspection-devel
BuildRequires: gettext-devel
BuildRequires: gnome-common
BuildRequires: gtk-doc

%description
A library providing facilities to integrate Clutter into GTK+
applications. It provides a GTK+ widget, GtkClutterEmbed, for embedding the
default ClutterStage into any GtkContainer.

Because of limitations inside Clutter, it is only possible to embed a single
ClutterStage.

#----------------------------------------------------------------------------

%package -n %{libname}
Summary:	GTK Support for Clutter
Group:		Graphics/Utilities
Requires:	%{name}-i18n >= %{version}-%{release}
Obsoletes:	%{mklibname clutter-gtk 0.10 0} < 1.1.2

%description -n %{libname}
A library providing facilities to integrate Clutter into GTK+
applications. It provides a GTK+ widget, GtkClutterEmbed, for embedding the
default ClutterStage into any GtkContainer.

Because of limitations inside Clutter, it is only possible to embed a single
ClutterStage.

%files -n %{libname}
%{_libdir}/lib%{name}-%{api}.so.%{major}*

#----------------------------------------------------------------------------

%package -n %{girname}
Summary:	GObject Introspection interface description for %{name}
Group:		System/Libraries

%description -n %{girname}
GObject Introspection interface description for %{name}.

%files -n %{girname}
%_libdir/girepository-1.0/GtkClutter-%api.typelib

#----------------------------------------------------------------------------

%package i18n
Summary:	Translations for %{name}
Group:		System/Internationalization
BuildArch:	noarch

%description i18n
This contains the translation data for %{name}.

%files i18n -f cluttergtk-%{api}.lang

#----------------------------------------------------------------------------

%package -n %{libnamedevel}
Summary:	Development headers/libraries for %name
Group:		Development/X11
Provides:	%{name}-devel = %{version}-%{release}
Requires:	%{libname} = %{version}-%{release}
Obsoletes:	%{mklibname -d clutter-gtk 0.10} < 1.1.2

%description -n %{libnamedevel}
Development headers/libraries for %name (see %libname package)

%files -n %{libnamedevel}
%doc %{_datadir}/gtk-doc/html/%{name}-%{clutterapi}
%{_libdir}/pkgconfig/%{name}-%{api}.pc
%{_libdir}/lib%{name}-%{api}.so
%{_includedir}/%{name}-%{clutterapi}/%{name}
%{_datadir}/gir-1.0/GtkClutter-%{api}.gir

#----------------------------------------------------------------------------

%prep
%setup -q
%apply_patches

%build
%configure2_5x \
	--disable-rpath \
	--disable-static \
	--enable-introspection=yes
%make

%install
%makeinstall_std

#Remove libtool archives.
find %{buildroot} -name '*.la' -exec rm -f {} ';'

%find_lang cluttergtk-%{api}


%changelog

* Fri Jan 11 2013 umeabot <umeabot> 1.4.2-2.mga3
+ Revision: 347936
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

  + boklm <boklm>
    - Update group: Graphics/Other -> Graphics/Utilities

* Mon Dec 17 2012 ovitters <ovitters> 1.4.2-1.mga3
+ Revision: 332015
- new version 1.4.2

* Thu Oct 18 2012 ovitters <ovitters> 1.4.0-1.mga3
+ Revision: 307796
- drop merged patch
- new version 1.4.0

* Sun Sep 30 2012 fwang <fwang> 1.3.2-2.mga3
+ Revision: 300930
- rebuild for new cogl

* Sun Jul 01 2012 ovitters <ovitters> 1.3.2-1.mga3
+ Revision: 266072
- new version 1.3.2

* Fri Mar 23 2012 ovitters <ovitters> 1.2.0-1.mga2
+ Revision: 225832
- new version 1.2.0

* Tue Mar 06 2012 fwang <fwang> 1.1.2-5.mga2
+ Revision: 220038
- rebuild for new cogl

* Wed Feb 22 2012 wally <wally> 1.1.2-4.mga2
+ Revision: 212380
- rebuild for new cogl

* Tue Jan 17 2012 fwang <fwang> 1.1.2-3.mga2
+ Revision: 197223
- br gtk-doc
- use gnome-autogen
- set i18n as noarch package
- fix doc prefix

* Sun Dec 04 2011 wally <wally> 1.1.2-2.mga2
+ Revision: 176199
- obsolete old clutter-gtk0.10 pkgs

* Wed Nov 23 2011 wally <wally> 1.1.2-1.mga2
+ Revision: 171392
- new version 1.1.2
- add some configure options to ensure wanted build options

* Tue Nov 22 2011 wally <wally> 1.0.4-3.mga2
+ Revision: 171030
- rebuild for new cogl and clutter
- clean .spec a bit

* Tue Sep 27 2011 ovitters <ovitters> 1.0.4-2.mga2
+ Revision: 149347
- new version 1.0.4

* Mon Sep 19 2011 wally <wally> 1.0.2-2.mga2
+ Revision: 145757
- rebuild for new cogl
- new version 1.0.2
- use .tar.xz sources from gnome
- add i18n subpackage
- don't regenerate gtk-docs on build time
- clean .spec a bit

  + fwang <fwang>
    - rebuild for new cogl

* Thu Jul 07 2011 dmorgan <dmorgan> 1.0.0-2.mga2
+ Revision: 119775
- Split gir files of the lib package

* Thu Jun 09 2011 dmorgan <dmorgan> 1.0.0-1.mga2
+ Revision: 102362
- New version 1.0.0

* Mon Jan 24 2011 pterjan <pterjan> 0.10.8-1.mga1
+ Revision: 37790
- Add upstream patches to compile with latest gobject-introspection
- Drop old stuff
- imported package clutter-gtk

